Bug 12346 - Не находит жесткий диск
: Не находит жесткий диск
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/qtparted)
: unstable
: all Linux
: P2 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-07-16 16:17 by
Modified: 2007-09-08 14:54 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-07-16 16:17:10
При запуске qtparted не находит ни одного жесткого диска и спрашивает
имею ли я права рута. Однако запушен он именно от него.
rpm -qa | grep parted
qtparted-0.4.5-alt16
libparted-1.8.7-alt2
gparted-0.3.3-alt5

Винт - IDE.
hda: WDC WD800BB-60JKC0, ATA DISK drive

    В то же время gparted видит нормально.
------- Comment #1 From 2007-07-20 17:00:21 -------
(In reply to comment #0)

qtparted-0.4.5-alt17 ушёл в /i/S, должно исправиться.
Проверьте, пожалуйста.
------- Comment #2 From 2007-07-21 09:47:55 -------
(In reply to comment #1)
> (In reply to comment #0)
> 
> qtparted-0.4.5-alt17 ушёл в /i/S, должно исправиться.
> Проверьте, пожалуйста.

rpm -qa | grep parted
qtparted-0.4.5-alt19
libparted-1.8.7-alt2
gparted-0.3.3-alt5

Ситуация та же :-(
------- Comment #3 From 2007-07-21 23:48:23 -------
(In reply to comment #2)
> (In reply to comment #1)
> > (In reply to comment #0)
> > 
> > qtparted-0.4.5-alt17 ушёл в /i/S, должно исправиться.
> > Проверьте, пожалуйста.
> 
> rpm -qa | grep parted
> qtparted-0.4.5-alt19
> libparted-1.8.7-alt2
> gparted-0.3.3-alt5
> 
> Ситуация та же :-(

1)Установите parted (сейчас это parted-1.8.7-alt3).
Что показывает команда
print devices
в запущенном parted (из под root, естественно)
2)Приведите, пожалуйста, вывод комманды
ls -l /proc/ide/hda/*
3) Приведи, пожалуйста вывод комманды
cat /proc/ide/hda/media
------- Comment #4 From 2007-07-22 12:12:42 -------
> 1)Установите parted (сейчас это parted-1.8.7-alt3).
> Что показывает команда
> print devices
> в запущенном parted (из под root, естественно)

# parted
GNU Parted 1.8.7
Using /dev/hda
Welcome to GNU Parted! Type 'help' to view a list of commands.
(parted) print devices
/dev/hda (80.0GB)

> 2)Приведите, пожалуйста, вывод комманды
> ls -l /proc/ide/hda/*

# ls -l /proc/ide/hda/*
-r--r--r-- 1 root root 0 Jul 22 11:11 /proc/ide/hda/driver
-r-------- 1 root root 0 Jul 22 11:11 /proc/ide/hda/identify
-r--r--r-- 1 root root 0 Jul 22 11:11 /proc/ide/hda/media
-r--r--r-- 1 root root 0 Jul 22 11:11 /proc/ide/hda/model
-rw------- 1 root root 0 Jul 22 11:11 /proc/ide/hda/settings

> 3) Приведи, пожалуйста вывод комманды
> cat /proc/ide/hda/media

# cat /proc/ide/hda/media
disk

P.S. Нужно в parted прописать более жесткую зависимость на свою библиотеку - у 
меня parted обновился не потянув за собой libparted
------- Comment #5 From 2007-07-22 20:17:29 -------
(In reply to comment #4)
> # cat /proc/ide/hda/media
> disk

qtparted сам ничего не делает, он использует parted (вернее, libparted) для 
получения списка устройств, после этого отсекает те устройства, у которых
cat /proc/ide/hd?/media
cdrom
(раньше, до alt17, он отсекал по-другому, из-за чего отсекались все /dev/hd?)
Проверьте еще раз, пожалуйста.
 
> P.S. Нужно в parted прописать более жесткую зависимость на свою библиотеку - 
у 
> меня parted обновился не потянув за собой libparted

Да, наверное так и надо сделать. Спасибо за информацию.
------- Comment #6 From 2007-07-22 21:28:27 -------
(In reply to comment #5)
> (In reply to comment #4)
> > # cat /proc/ide/hda/media
> > disk
> 
> qtparted сам ничего не делает, он использует parted (вернее, libparted) для 
> получения списка устройств, после этого отсекает те устройства, у которых
> cat /proc/ide/hd?/media
> cdrom
> (раньше, до alt17, он отсекал по-другому, из-за чего отсекались все /dev/hd?)
> Проверьте еще раз, пожалуйста.

Все вышеприведенные операции я делал с обновленными версиями:
rpm -qa | grep parted
qtparted-0.4.5-alt19
parted-1.8.7-alt3
libparted-1.8.7-alt3
gparted-0.3.3-alt5
------- Comment #7 From 2007-07-23 20:10:38 -------
(In reply to comment #6)

Проверьте qtparted-0.4.5-alt20 (ушло в /i/S)
------- Comment #8 From 2007-07-25 18:33:31 -------
(In reply to comment #7)
> (In reply to comment #6)
> 
> Проверьте qtparted-0.4.5-alt20 (ушло в /i/S)

rpm -q qtparted
qtparted-0.4.5-alt20

Винт виден нормально.
------- Comment #9 From 2007-07-25 18:45:31 -------
(In reply to comment #8)
> rpm -q qtparted
> qtparted-0.4.5-alt20
> 
> Винт виден нормально.

Если не сложно, проверьте следующее:
при вставленных дисках в CD/DVD-ROM и в floppy-дисковод, они не должны 
отображаться в списке устройств при запуске qtparted.

Спасибо за тесты, будет CLOSED после того, как появится в Sisyphus.